Speed up regex matching
Closed, ResolvedPublic

Description

I realized that the implementation of the recheck phase of the regular expression filter that we use in Cirrus is pretty darn backtrack-y and that I could really really improve it. So I'm giving it a shot.

Manybubbles updated the task description. (Show Details)
Manybubbles raised the priority of this task from to Low.
Manybubbles claimed this task.
Manybubbles added a subscriber: Manybubbles.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 5:07 PM
Manybubbles set Security to None.
Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:18 AM
ksmith moved this task from Search to On Sprint Board on the Discovery board.Aug 27 2015, 8:31 PM
Deskana closed this task as Resolved.Sep 12 2015, 2:44 AM
Deskana moved this task from Done to Resolved on the Discovery-Search (Current work) board.
Deskana added a subscriber: Deskana.